/****  FILEIO.H

       Header file for FILEIO.H
       Built by A. Warnock, ST Systems Corp., NASA/GSFC 5/90

****/

/* * * *  External Function Prototypes * * * */

extern int OpenDisk (char *,int ,char *,int *,char *);
extern int ReadDisk (int ,unsigned char *,long ,int ,int *,char *);
extern int WriteDisk (int ,unsigned char *,long ,int ,char *);
extern int CloseDisk (int ,char *);
extern int OpenCD (char *,int ,int *,char *);
extern int ReadCD (int ,unsigned char *,long ,int ,int *,char *);
extern int CloseCD (int ,char *);
extern int InitializeCD (int *, char *);
extern int ReadBlocksCD (unsigned char *, long, int, char *);
extern int OpenFile (char *, int, char *, int *, char *);
extern int ReadBlocks (int, char *, long, int, int *, char *);
extern int WriteBlocks (int, char *, long, int, char *);
extern int CloseFile (int, char *);

/* * * *  External Global Variables * * * */

extern struct FCBtype
          {
            char     filename[80];
            int      handle;
          }                    FCB[MaxOpenFiles];
